rte_pmd_dlb2_port_param(3)

NAME
rte_pmd_dlb2_port_param

SYNOPSIS

#include <rte_pmd_dlb2.h>

  Data Fields

uint16_t inflight_threshold: 12
uint16_t port_hl

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

Sets TDT threshold and HL size for a DLB2 port.

Definition at line 107 of file rte_pmd_dlb2.h.

Field Documentation

  uint16_t inflight_threshold
Inflight threshold for re-enabling the event port after TDT trigger disables it

Definition at line 108 of file rte_pmd_dlb2.h.

  uint16_t port_hl
Number of History List entries allocated to a DLB Loadbalance port.

Definition at line 112 of file rte_pmd_dlb2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.